Main Page Widgets Namespaces Book

# Pango::AttrFontDesc Class Reference

Inheritance diagram for Pango::AttrFontDesc:

[legend]
List of all members.

## Detailed Description

A Pango::AttrFontDesc is used to represent an attribute that sets all aspects of the font description at once.

## Public Member Functions

| AttrFontDesc (const AttrFontDesc& src)
| AttrFontDesc (PangoAttrFontDesc* castitem, bool take_copy=true)
AttrFontDesc& | operator= (const AttrFontDesc& src)
FontDescription | get_desc () const
| Gets the font description which is the value of the attribute.
void | set_desc (const FontDescription& desc)
| Sets the font description which is the value of the attribute.
PangoAttrFontDesc* | gobj ()
const PangoAttrFontDesc* | gobj () const

## Protected Member Functions

| AttrFontDesc ()

## Related Functions

(Note that these are not member functions.)
Pango::AttrFontDesc | wrap (PangoAttrFontDesc* object, bool take_copy=false)

## Constructor & Destructor Documentation

Pango::AttrFontDesc::AttrFontDesc | ( |  | ) | `[protected]`

Pango::AttrFontDesc::AttrFontDesc | ( | const AttrFontDesc& | src | ) |

Pango::AttrFontDesc::AttrFontDesc | ( | PangoAttrFontDesc* | castitem,
|  | bool | take_copy = true
| ) | `[explicit]`

## Member Function Documentation

FontDescription Pango::AttrFontDesc::get_desc | ( |  | ) | const

Gets the font description which is the value of the attribute.

Returns:
  The font description of the attribute.

const PangoAttrFontDesc* Pango::AttrFontDesc::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Pango::Attribute.

PangoAttrFontDesc* Pango::AttrFontDesc::gobj | ( |  | ) | `[inline]`

| Reimplemented from Pango::Attribute.

AttrFontDesc& Pango::AttrFontDesc::operator= | ( | const AttrFontDesc& | src | ) |

void Pango::AttrFontDesc::set_desc | ( | const FontDescription& | desc | ) |

Sets the font description which is the value of the attribute.

Parameters:

  desc | The new font description for the attribute.

## Friends And Related Function Documentation

Pango::AttrFontDesc wrap | ( | PangoAttrFontDesc* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- attributes.h